{
  description = "FFGoe NixOS Config";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/release-21.11";
    ffnix = {
      url = "github:n0emis/ffnix/main";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = { self, nixpkgs, ffnix }: {
    colmena = {
      meta = {
        nixpkgs = import nixpkgs {
          system = "x86_64-linux";
          overlays = [
            ffnix.overlay
          ];
        };
      };

      defaults = { config, lib, name, ... }: {
        deployment.targetHost = lib.mkDefault (config.networking.hostName + "." + config.networking.domain);

        imports = [
          (./. + "/hosts/${name}")
          ./common
          ./modules
          ffnix.nixosModule
        ];
      };

      vpn7 = {
        deployment.tags = [ "gateway" "legacy" ];
      };

      nixdeploy = {
        deployment.allowLocalDeployment = true;
      };

      testhost = {
        deployment.targetHost = "10.152.32.1";
      };

      dfz-el = {};
    };
  };
}
