{ config, pkgs, modulesPath, lib, ... }:

{
  imports = [
    (modulesPath + "/virtualisation/lxc-container.nix")
  ];

  networking.hostName = "nixdeploy";
  networking.domain = "neo.cccgoe.de";

  networking.useNetworkd = true;
  networking.useDHCP = false;
  networking.firewall.enable = false;
  networking.useHostResolvConf = false;

  systemd.suppressedSystemUnits = [
    "dev-mqueue.mount"
    "sys-kernel-debug.mount"
    "sys-fs-fuse-connections.mount"
  ];

  systemd.network = {
    links."10-eth0" = {
      matchConfig.MACAddress = "02:a6:13:d1:e4:0b";
      linkConfig.Name = "eth0";
    };
    networks."10-eth0" = {
      name = "eth0";
      address = [ "192.168.42.101/24" "2a01:4f8:10b:7e1::1:101/64" ];
      gateway = [ "192.168.42.1" "2a01:4f8:10b:7e1::1:1" ];
    };
  };

  services.resolved.dnssec = "false";

  system.stateVersion = "21.11";
}
